
@import url('https://fonts.googleapis.com/css?family=Montserrat:400,800');

* {
	box-sizing: border-box;
}

body {
	background: #f6f5f7;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	font-family: 'Montserrat', sans-serif;
	min-height: 100vh;
	margin: -20px 0 50px;
}

h1 {
	font-weight: bold;
	margin: 0;
}

h2 {
	text-align: center;
}

p {
	font-size: 14px;
	font-weight: 100;
	line-height: 20px;
	letter-spacing: 0.5px;
	margin: 20px 0 30px;
}

span {
	font-size: 12px;
}

a {
	color: #333;
	font-size: 14px;
	text-decoration: none;
	margin: 15px 0;
}

button {
	border-radius: 20px;
	border: 1px solid #345a69;
	background-color: #345a69;
	color: #FFFFFF;
	font-size: 12px;
	font-weight: bold;
	padding: 12px 45px;
	letter-spacing: 1px;
	text-transform: uppercase;
	transition: transform 80ms ease-in;
}

button:active {
	transform: scale(0.95);
}

button:focus {
	outline: none;
}

input {
	background-color: #eee;
	border: none;
	padding: 12px 15px;
	margin: 8px 0;
	width: 100%;
}

.social-container {
	margin: 20px 0;
}

.social-container a {
	border: 1px solid #DDDDDD;
	border-radius: 50%;
	display: inline-flex;
	justify-content: center;
	align-items: center;
	margin: 0 5px;
	height: 40px;
	width: 40px;
}

footer {
    background-color: #345a69;
    color: #fff;
    font-size: 14px;
    bottom: 0;
    position: fixed;
    left: 0;
    right: 0;
    text-align: center;
    z-index: 999;
}

footer p {
    margin: 10px 0;
}

.buttons {
    padding-block: .5rem;
    display: flex;
    gap: 1rem;
}

.previous {
	border: 1px solid #345a69;
	background-color: #FFFFFF;
	color: #345a69;
}

.previous_link{
    margin: 0px 0px 0px 0px !important;
}

.previos_box{
	padding-block: .5rem;
    display: flex;
    gap: 1rem;
	justify-content: center;
}

.pass_recovery{
	height: 30vh;
}

.container-recovery{
    display: flex;
	align-items: center;
    flex-direction: column;
    justify-content: center;
}


/***/

.form-container {
    display: flex;
    border-radius: 10px;
    overflow: hidden;
    /*box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);*/
	box-shadow: 0 14px 28px rgba(0,0,0,0.25), 
			0 10px 10px rgba(0,0,0,0.22);
	height: 80vh;
	margin-top: 50px;
	margin-bottom: 50px;
}

.login-section {
    flex: 1;
    background-color: white;
    padding: 40px;
    position: relative;
	text-align: center;
	display: flex;
    flex-direction: column;
    justify-content: center;
    /*align-content: center;*/
    align-items: center;
}

.registration-section {
    flex: 1;
    background-color: #345a69;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    text-align: center;
	flex-direction: column;
}

.logo {
    max-width: 100%;
    height: auto;
    margin-bottom: 20px;
}

h2 {
    margin-bottom: 20px;
}

label {
    display: block;
    margin: 10px 0 5px;
}

input {
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

button {
    background-color: #345a69;
    color: white;
    border: none;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
    width: 100%;
}

.signUp{
	border: 1px solid white;
}

.signUp:hover{
	border: 1px solid #345a69;
	color: #345a69;
	background-color: white;
}

button:hover {
    background-color: #2a434e;
}

a {
    color: black;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

form {
	background-color: #FFFFFF;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	padding: 50px;
	text-align: center;
}

form h1{
	padding-bottom: 10px;
}

/* Media Query per schermi più stretti */
@media (max-width: 768px) {
    .form-container {
        flex-direction: column;
        height: auto; /* Permette di adattarsi all'altezza del contenuto */
    }
}